> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List uploaded documents

> List user-uploaded documents by filter type.



## OpenAPI

````yaml /openapi.json get /api/v1/documents
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/documents:
    get:
      tags:
        - documents
      summary: List uploaded documents
      description: List user-uploaded documents by filter type.
      operationId: list_uploaded_documents_api_v1_documents_get
      parameters:
        - name: doc_type
          in: query
          required: false
          schema:
            type: string
            description: Document filter type, e.g. 'uploaded'
            default: uploaded
            title: Doc Type
          description: Document filter type, e.g. 'uploaded'
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadedDocumentListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UploadedDocumentListResponse:
      properties:
        documents:
          items:
            $ref: '#/components/schemas/DocumentDraftInfo'
          type: array
          title: Documents
      type: object
      required:
        - documents
      title: UploadedDocumentListResponse
      description: Response for user-uploaded documents list.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentDraftInfo:
      properties:
        id:
          type: string
          title: Id
        type:
          $ref: '#/components/schemas/SlxDocumentType'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        originName:
          anyOf:
            - type: string
            - type: 'null'
          title: Originname
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
        createdAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createdat
        content:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Content
      type: object
      required:
        - id
        - type
      title: DocumentDraftInfo
      description: Document info in response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SlxDocumentType:
      type: string
      enum:
        - certificate_of_incorporation
        - formation_document
        - power_of_attorney
        - corporate_structure
        - director_structure
        - proof_of_address
        - annual_financial_statements
        - articles_of_association
        - audit_report
        - bank_reference_letter
        - bank_statement
        - banking_details
        - birth_certificate
        - business_license
        - business_plan
        - certificate_of_good_standing
        - credit_report
        - criminal_record_check
        - cv_resume
        - driving_license
        - education_certificate
        - financial_projections
        - insurance_policy
        - lease_agreement
        - list_of_authorized_signatories
        - marriage_certificate
        - national_id
        - operating_agreement
        - partnership_agreement
        - professional_license
        - reference_letter
        - register_of_members
        - residence_permit
        - shareholding_structure
        - social_security_document
        - source_of_funds_declaration
        - tax_identification_document
        - tax_returns
        - trade_references
        - vat_registration
        - vendor_contracts
        - visa
        - wealth_statement
        - contract
        - invoice
        - loan_agreement
        - passport_front
        - passport_back
        - id_card_front
        - id_card_back
        - drivers_license_front
        - drivers_license_back
        - other
      title: SlxDocumentType
      description: Document types for upload.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>

````